# DaprAppCallbackProtos.ListInputBindingsResponse.Builder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprAppCallbackProtos.ListInputBindingsResponse.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListInputBindingsResponse.Builder>
      - - io.dapr.v1.DaprAppCallbackProtos.ListInputBindingsResponse.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprAppCallbackProtos.ListInputBindingsResponseOrBuilder`, `Cloneable`

Enclosing class:
  DaprAppCallbackProtos.ListInputBindingsResponse

    public static final class DaprAppCallbackProtos.ListInputBindingsResponse.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListInputBindingsResponse.Builder>
    implements DaprAppCallbackProtos.ListInputBindingsResponseOrBuilder

     ListInputBindingsResponse is the message including the list of input bindings.

Protobuf type `dapr.proto.runtime.v1.ListInputBindingsResponse`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`DaprAppCallbackProtos.ListInputBindingsResponse.Builder` `addAllBindings​(Iterable<String> values)` The list of input bindings.
`DaprAppCallbackProtos.ListInputBindingsResponse.Builder` `addBindings​(String value)` The list of input bindings.
`DaprAppCallbackProtos.ListInputBindingsResponse.Builder` `addBindingsBytes​(com.google.protobuf.ByteString value)` The list of input bindings.
`DaprAppCallbackProtos.ListInputBindingsResponse.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprAppCallbackProtos.ListInputBindingsResponse` `build()`
`DaprAppCallbackProtos.ListInputBindingsResponse` `buildPartial()`
`DaprAppCallbackProtos.ListInputBindingsResponse.Builder` `clear()`
`DaprAppCallbackProtos.ListInputBindingsResponse.Builder` `clearBindings()` The list of input bindings.
`DaprAppCallbackProtos.ListInputBindingsResponse.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprAppCallbackProtos.ListInputBindingsResponse.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprAppCallbackProtos.ListInputBindingsResponse.Builder` `clone()`
`String` `getBindings​(int index)` The list of input bindings.
`com.google.protobuf.ByteString` `getBindingsBytes​(int index)` The list of input bindings.
`int` `getBindingsCount()` The list of input bindings.
`com.google.protobuf.ProtocolStringList` `getBindingsList()` The list of input bindings.
`DaprAppCallbackProtos.ListInputBindingsResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`DaprAppCallbackProtos.ListInputBindingsResponse.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprAppCallbackProtos.ListInputBindingsResponse.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`DaprAppCallbackProtos.ListInputBindingsResponse.Builder` `mergeFrom​(DaprAppCallbackProtos.ListInputBindingsResponse other)`
`DaprAppCallbackProtos.ListInputBindingsResponse.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprAppCallbackProtos.ListInputBindingsResponse.Builder` `setBindings​(int index, String value)` The list of input bindings.
`DaprAppCallbackProtos.ListInputBindingsResponse.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprAppCallbackProtos.ListInputBindingsResponse.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprAppCallbackProtos.ListInputBindingsResponse.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListInputBindingsResponse.Builder>`

#### clear

    public DaprAppCallbackProtos.ListInputBindingsResponse.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListInputBindingsResponse.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListInputBindingsResponse.Builder>`

#### getDefaultInstanceForType

    public DaprAppCallbackProtos.ListInputBindingsResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public DaprAppCallbackProtos.ListInputBindingsResponse build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public DaprAppCallbackProtos.ListInputBindingsResponse buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public DaprAppCallbackProtos.ListInputBindingsResponse.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListInputBindingsResponse.Builder>`

#### setField

    public DaprAppCallbackProtos.ListInputBindingsResponse.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                            Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListInputBindingsResponse.Builder>`

#### clearField

    public DaprAppCallbackProtos.ListInputBindingsResponse.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListInputBindingsResponse.Builder>`

#### clearOneof

    public DaprAppCallbackProtos.ListInputBindingsResponse.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListInputBindingsResponse.Builder>`

#### setRepeatedField

    public DaprAppCallbackProtos.ListInputBindingsResponse.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                                    int index,
                                                                                    Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListInputBindingsResponse.Builder>`

#### addRepeatedField

    public DaprAppCallbackProtos.ListInputBindingsResponse.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                                    Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListInputBindingsResponse.Builder>`

#### mergeFrom

    public DaprAppCallbackProtos.ListInputBindingsResponse.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprAppCallbackProtos.ListInputBindingsResponse.Builder>`

#### mergeFrom

    public DaprAppCallbackProtos.ListInputBindingsResponse.Builder mergeFrom​(DaprAppCallbackProtos.ListInputBindingsResponse other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListInputBindingsResponse.Builder>`

#### mergeFrom

    public DaprAppCallbackProtos.ListInputBindingsResponse.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                      throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprAppCallbackProtos.ListInputBindingsResponse.Builder>`
Throws:
  `IOException`

#### getBindingsList

    public com.google.protobuf.ProtocolStringList getBindingsList()

     The list of input bindings.

`repeated string bindings = 1;`

Specified by:
  `getBindingsList` in interface `DaprAppCallbackProtos.ListInputBindingsResponseOrBuilder`
Returns:
  A list containing the bindings.

#### getBindingsCount

    public int getBindingsCount()

     The list of input bindings.

`repeated string bindings = 1;`

Specified by:
  `getBindingsCount` in interface `DaprAppCallbackProtos.ListInputBindingsResponseOrBuilder`
Returns:
  The count of bindings.

#### getBindings

    public String getBindings​(int index)

     The list of input bindings.

`repeated string bindings = 1;`

Specified by:
  `getBindings` in interface `DaprAppCallbackProtos.ListInputBindingsResponseOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The bindings at the given index.

#### getBindingsBytes

    public com.google.protobuf.ByteString getBindingsBytes​(int index)

     The list of input bindings.

`repeated string bindings = 1;`

Specified by:
  `getBindingsBytes` in interface `DaprAppCallbackProtos.ListInputBindingsResponseOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the bindings at the given index.

#### setBindings

    public DaprAppCallbackProtos.ListInputBindingsResponse.Builder setBindings​(int index,
                                                                               String value)

     The list of input bindings.

`repeated string bindings = 1;`

Parameters:
  `index` - The index to set the value at.
  `value` - The bindings to set.
Returns:
  This builder for chaining.

#### addBindings

    public DaprAppCallbackProtos.ListInputBindingsResponse.Builder addBindings​(String value)

     The list of input bindings.

`repeated string bindings = 1;`

Parameters:
  `value` - The bindings to add.
Returns:
  This builder for chaining.

#### addAllBindings

    public DaprAppCallbackProtos.ListInputBindingsResponse.Builder addAllBindings​(Iterable<String> values)

     The list of input bindings.

`repeated string bindings = 1;`

Parameters:
  `values` - The bindings to add.
Returns:
  This builder for chaining.

#### clearBindings

    public DaprAppCallbackProtos.ListInputBindingsResponse.Builder clearBindings()

     The list of input bindings.

`repeated string bindings = 1;`

Returns:
  This builder for chaining.

#### addBindingsBytes

    public DaprAppCallbackProtos.ListInputBindingsResponse.Builder addBindingsBytes​(com.google.protobuf.ByteString value)

     The list of input bindings.

`repeated string bindings = 1;`

Parameters:
  `value` - The bytes of the bindings to add.
Returns:
  This builder for chaining.

#### setUnknownFields

    public final DaprAppCallbackProtos.ListInputBindingsResponse.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListInputBindingsResponse.Builder>`

#### mergeUnknownFields

    public final DaprAppCallbackProtos.ListInputBindingsResponse.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.ListInputBindingsResponse.Builder>`